Skip to content

Returns a list of COGS entries for a transaction ID

Request

Returns a list of COGS entries for a transaction ID

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed

inventoryTransactionIdstringrequired

The inventoryTransactionId to look up

Query
fieldsstring

The fields that you want to retrieve; if omitted, the entire object is returned

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/cogsEntries/{tenantId}/inventoryTransaction/{inventoryTransactionId}?fields=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The cogs entry was retrieved successfully

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
Array [
bin_idstring(Bin)

The bin

business_unit_idstring(Business Unit)required

The business unit

custom_field_valuesArray of objects(Custom Field Values)
datestring, (date-time)(Date)

The date of the entry

fiscal_periodnumber, (float), [ 1 .. 23 ](Fiscal Period)required

The fiscal period of the entry

fiscal_year_idstring(Fiscal Year)required

The fiscal year of the entry

idstring(ID)^[\w|-]+$required

The unique, string identifier of this cogs entry

inventory_adjustment_idstring(Inventory Adjustment)required

A pointer to the inventory adjustment transaction that generated this entry

inventory_fulfillment_idstring(Inventory Fulfillment)required

A pointer to the inventory fulfillment transaction that generated this entry

inventory_receipt_idstring(Inventory Receipt)required

A pointer to the inventory receipt transaction that generated this entry

inventory_return_idstring(Inventory Return)required

A pointer to the inventory return transaction that generated this entry

inventory_transaction_idstring(Inventory Transaction)required

A pointer to the inventory transaction that generated this entry

notesstring(Notes)

Notes/description of this entry

order_idstring(Order)

The order to which this entry is connected

order_line_item_idstring(Order Line Item)

The order line item to which this entry is connected

parent_cogs_entry_idstring(Parent Cogs Entry)

The parent COGS entry for this one

product_idstring(Product)required

The product ID

product_inventory_idstring(Product Inventory)required

The product inventory being supported by this entry

product_typestring(Product Type)required

The type of the product

quantityinteger(Quantity)required

The quantity represented in the COGS entry

statusstring(Status)required

The status of the entry

Enum:"open""processed"
sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_fiscal_period_idstring(Sys Fiscal Period)

System field to store year + period - DO NOT USE

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

total_costnumber, (double)(Total Cost)required

The total cost

typestring(Type)required

The type of entry

Enum:"adjustment""fulfillment""receipt""return"
unit_costnumber, (double)(Unit Cost)required

The unit cost

warehouse_idstring(Warehouse)required

The warehouse

]
Response
[ { "bin_id": "string", "business_unit_id": "string", "custom_field_values": [ … ], "date": "2019-08-24T14:15:22Z", "fiscal_period": 1, "fiscal_year_id": "string", "id": "string", "inventory_adjustment_id": "string", "inventory_fulfillment_id": "string", "inventory_receipt_id": "string", "inventory_return_id": "string", "inventory_transaction_id": "string", "notes": "string", "order_id": "string", "order_line_item_id": "string", "parent_cogs_entry_id": "string", "product_id": "string", "product_inventory_id": "string", "product_type": "string", "quantity": 0, "status": "open", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ … ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_fiscal_period_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "total_cost": 0.1, "type": "adjustment", "unit_cost": 0.1, "warehouse_id": "string" } ]